package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.KnightArmor;
import org.project.item.weapons.Sword;

public class Assassin extends Player {
    public Assassin(String name) {
        super(name, 40, 60, new Sword(), new KnightArmor());
    }

    @Override
    public void specialAbility(Entity target) {
        int manaCost = 18;
        if (mp < manaCost) {
            System.out.println("❌ Not enough Mana/Stamina for Invisibility!");
            return;
        }
        mp -= manaCost;
        isInvisible = true;
        nextAttackCritical = true;
        System.out.println("🗡️👻 " + name + " turned Invisible! Next attack will be a Critical Hit and incoming damage is dodged!");
    }
}